---
title: "Renew Agent VM TTL"
url: https://hexelstudio.com/docs/api/compute/vms/renew
---

# Renew Agent VM TTL

**POST** `/compute/v1/vms/{id}/renew`

## Path parameters

- `id: string`

  VM ID (UUID)

## Headers

- `Authorization: string`

  `Bearer <token>`. STS access token. Obtain via POST https://sts.hexelstudio.com/token with X-API-Key header.

## Body parameters

- `ttl_seconds: integer`

## Returns

`200` OK (`AgentVM`)

- `allocated_at: optional string`

- `created_at: optional string`

- `expires_at: optional string`

- `id: optional string`

- `metadata: optional map[string]`

- `released_at: optional string`

- `skills: optional array of string`

- `state: optional string`

- `tier: optional string`

- `token: optional string`

- `ttl_seconds: optional integer`

## Errors

- `404` Not Found

## Example

```bash
curl --request POST \
  --url 'https://compute.hexelstudio.com/compute/v1/vms/{id}/renew' \
  --header "Authorization: Bearer $ACCESS_TOKEN" \
  --header 'Content-Type: application/json' \
  --data '{
  "ttl_seconds": 0
}'
```

### Response (200)

```json
{
  "allocated_at": "2026-01-01T00:00:00Z",
  "created_at": "2026-01-01T00:00:00Z",
  "expires_at": "2026-01-01T00:00:00Z",
  "id": "string",
  "metadata": {
    "key": "string"
  },
  "released_at": "2026-01-01T00:00:00Z",
  "skills": [
    "string"
  ],
  "state": "string",
  "tier": "string",
  "token": "string",
  "ttl_seconds": 0
}
```

### Response (404)

```json
{
  "code": 0,
  "error_code": "string",
  "message": "string"
}
```
